Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class ClassExtender

    java.lang.Object
      org.codehaus.groovy.runtime.ClassExtender

    public class ClassExtender
    extends Object

A helper class used by the runtime to allow Groovy classes to be extended at runtime

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Method Summary
`void` | `addMethod(String name, Closure closure)`
`void` | `call(String name, Object params)`
`protected Map` | `createMap()`
`Object` | `get(String name)`
`void` | `remove(String name)`
`void` | `removeMethod(String name)`
`void` | `set(String name, Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addMethod

    public void addMethod(String name, Closure closure)

### call

    public void call(String name, Object params)

### createMap

    protected Map createMap()

### get

    public Object get(String name)

### remove

    public void remove(String name)

### removeMethod

    public void removeMethod(String name)

### set

    public void set(String name, Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.